Name:           pinetab-helpers
Version:        0.1
Release:        2%{?dist}
Summary:        Some files needed for configuring the PineTabs audio

License:        GPLv3+
URL:            https://gitlab.com/fedora-mobile/%{name}

BuildArch:      noarch

# Source0:        pinephone-boot.service
# Source1:        pp-start.sh
# Source2:        pp-stop.sh
# Source3:        20-pinephone.conf
Source0:        HiFi.conf
# Source5:        VoiceCall.conf
Source1:        PineTab.conf
# Source7:        10-proximity.rules
# Source8:        90-pinephone.conf
# Source9:        pinephone.json

# BuildRequires:  gcc
BuildRequires:  systemd-rpm-macros

Requires:       bash
# Requires:       iio-sensor-proxy

Conflicts:      pinephone-helpers

%description
Configures audio for the PineTab

%global debug_package %{nil}

%install

# pinephone-boot.service
# mkdir -p %{buildroot}/etc/systemd/system
# cp %{SOURCE0} %{buildroot}/etc/systemd/system

# start/stop scripts
# mkdir -p %{buildroot}/usr/bin
# cp %{SOURCE1} %{buildroot}/usr/bin
# cp %{SOURCE2} %{buildroot}/usr/bin

# pinephone conf
# mkdir -p %{buildroot}/etc/NetworkManager/conf.d
# cp %{SOURCE3} %{buildroot}/etc/NetworkManager/conf.d

# Alsa ucm2 files
# %{__rm} -rf %{buildroot}%{_datadir}/alsa/ucm2/PinePhone
# %{__rm} -rf %{buildroot}%{_datadir}/alsa/ucm2/Pine64/PinePhone

mkdir -p %{buildroot}%{_datadir}/alsa/ucm2/PineTab/
mkdir -p %{buildroot}%{_datadir}/alsa/ucm2/conf.d/simple-card/

cp %{SOURCE0} %{buildroot}%{_datadir}/alsa/ucm2/PineTab/
cp %{SOURCE1} %{buildroot}%{_datadir}/alsa/ucm2/PineTab/
#cp %{SOURCE6} %{buildroot}%{_datadir}/alsa/ucm2/Pine64/PinePhone/

#ln -sf %{_datadir}/alsa/ucm2/Pine64/PinePhone/PinePhone.conf %{buildroot}%{_datadir}/alsa/ucm2/conf.d/simple-card/PinePhone.conf
#ln -sf %{_datadir}/alsa/ucm2/Pine64/PinePhone %{buildroot}%{_datadir}/alsa/ucm2/PinePhone
ln -sf ../../PineTab/PineTab.conf %{buildroot}%{_datadir}/alsa/ucm2/conf.d/simple-card


# proximity rules
# install -D -m 644 %{SOURCE7} %{buildroot}%{_udevrulesdir}/10-proximity.rules

# 90-pinephone.conf
# mkdir -p %{buildroot}/etc/pulse/daemon.conf.d
# cp %{SOURCE8} %{buildroot}/etc/pulse/daemon.conf.d/

# feedbackd theme
# mkdir -p %{buildroot}/usr/share/feedbackd/themes
# cp %{SOURCE9} -p %{buildroot}%{_datadir}/feedbackd/themes/


%post
# %systemd_post pinephone-boot.service
# systemctl enable pinephone-boot.service


%preun
# %systemd_preun pinephone-boot.service

%postun
# %systemd_postun_with_restart pinephone-boot.service

%files
# %{_bindir}/pp-start.sh
# %{_bindir}/pp-stop.sh
# %{_sysconfdir}/systemd/system/pinephone-boot.service
# %{_sysconfdir}/NetworkManager/conf.d/20-pinephone.conf
# %dir %{_sysconfdir}/pulse/daemon.conf.d/
# %{_sysconfdir}/pulse/daemon.conf.d/90-pinephone.conf
# %dir %{_datadir}/alsa
# %dir %{_datadir}/alsa/ucm2/PineTab
%{_datadir}/alsa/ucm2/PineTab/HiFi.conf
%{_datadir}/alsa/ucm2/PineTab/PineTab.conf
# %{_datadir}/alsa/ucm2/Pine64/PinePhone/VoiceCall.conf

# %{_datadir}/alsa/ucm2/PinePhone
%{_datadir}/alsa/ucm2/conf.d/simple-card/PineTab.conf

# %dir %{_datadir}/feedbackd/themes/
# %{_datadir}/feedbackd/themes/pinephone.json
# %{_udevrulesdir}/10-proximity.rules

%changelog

* Sun Apr 24 2022 Yoda - 0.1-1
- Initial packaging
